#include <string.h>
#include <stdlib.h>
#include "error.h"
#include "cdbslib.h"
#include "cdbserror.h"

//===================================================================
// CDBS LIBRARY
//   Name: datadir
//===================================================================

char *datadir (char *theDataDir)

/* DATADIR -- Obtain CDBS DATA directory from environment variable value
 *
 * i/o: datadir - directory name for location of CDBS data files
 *                (.tpn, .rule, .dat, etc.)
 *               (sufficient space must be allocated in called)
 *
 * History:
 * 09/20/04  52054  MSwam  first version to replace hard-codes with envvar call
 */
{
    char	*envvar;

    /*  
     * get top cdbs directory from CDBS_DATA envvar */
    envvar = getenv ("CDBS_DATA");
    if (envvar != NULL) {
      strcpy(theDataDir, envvar);
    }
    else {
      /* default value */
      strcpy(theDataDir, "/store/smalls/cdbs/tools/data/");
      cdbs_debug("defaulting DataDir to %s\n",theDataDir);
    }
    return (theDataDir);
}
